"use client"
import { useAppDispatch } from "@/lib/hooks";
import { setRoles, setToken, setUser } from "@/lib/slice/auth";
import { useRouter } from "next/navigation";
import { useEffect } from "react";

export default function LogoutPage() {
    const dispatch = useAppDispatch();
    const router = useRouter();
    useEffect(() => {
        dispatch(setUser(null));
        dispatch(setToken(null));
        dispatch(setRoles([]));
        router.push("/login");
    }, []);

    return <div></div>
}